.page-nav {
    padding: rem(14);
    margin-top: rem(16);
    border-radius: rem(4);
    border: 1px solid var(--gray-10);
    display: flex;
    row-gap: rem(14);
    column-gap: rem(14);
    flex-direction: column;

    &__switcher {
        display: flex;
        column-gap: rem(14);
        align-items: center;
    }

    &__label {
        color: #666;
        white-space: nowrap;
        font-size: rem(13);
        line-height: rem(20);
    }

    &__field {
        flex-grow: 1;

        .field {

            input {
                padding-left: rem(4);
                padding-right: rem(4);
            }
        }
    }

    @include media-breakpoint-up(md) {
        flex-direction: row;
        justify-content: space-between;

        &__field {
            width: rem(32);
        }

        &--md {
            margin-top: rem(24);
        }
    }
}

.pagination {
    margin: 0;
    padding: 0;
    list-style: none;
    font-weight: 600;
    font-size: rem(11);
    line-height: rem(15);
    display: flex;
    column-gap: rem(12);
    align-items: center;
    justify-content: space-between;

    &__nav {
        font-size: 0;
        line-height: 0;
        width: rem(32);
        height: rem(32);
        cursor: pointer;
        fill: var(--blue);
        border-radius: 50%;
        background-color: transparent;
        border: 1px solid var(--w50);
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;
        transition: var(--transition-time);

        i {
            width: rem(16);
            height: rem(16);
            display: block;
            flex-shrink: 0;
        }

        &:hover {
            fill: white;
            background-color: var(--blue);
            border-color: var(--blue);
            transition: var(--transition-time);
        }

        &:disabled,
        &.disabled {
            cursor: default;
            background-color: transparent;
            fill: var(--gray-20) !important;
            border-color: var(--gray-20) !important;

            &:hover {

            }
        }
    }

    &__link {
        width: rem(32);
        height: rem(32);
        border-radius: 50%;
        color: var(--gray-40);
        text-decoration: none;
        border: 1px solid transparent;
        transition: var(--transition-time);
        display: flex;
        flex-shrink: 0;
        align-items: center;
        justify-content: center;

        &:hover {
            color: var(--blue);
            transition: var(--transition-time);
        }

        &.active {
            color: var(--blue);
            cursor: default;
            border-color: var(--blue);
        }
    }
}

.page-footer {
    margin-top: rem(16);

    @include media-breakpoint-up(md) {
        margin-top: rem(24);
    }

    @include media-breakpoint-up(xl) {
        margin-top: rem(32);
    }

    @include media-breakpoint-up(xxl) {
        margin-top: rem(28);
    }
}
